Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.lighting
Interface Light

All Known Subinterfaces:
  SurfaceLight

All Known Implementing Classes:
  AmbientLight, PointLight, PointLightGrid, RectangularLight, SphericalLight

public interface Light

A Light object stores the lighting information used for rendering. The intensity and color of this light represented by a Light object may by specified, but by default it is white light.

Method Summary
`RGB` | `getColor()` Returns the color of this Light object as an RGB object.
`RGB` | `getColorAt(Vector point)` Returns the color of the light represented by this Light object at the specified point as an RGB object.
`double` | `getIntensity()` Returns the intensity of this Light object as a double value.
`void` | `setColor(RGB color)` Sets the color of this Light object to the color represented by the specified RGB object.
`void` | `setIntensity(double intensity)` Sets the intensity of this Light object.

Method Detail

### setIntensity

    public void setIntensity(double intensity)

  Sets the intensity of this Light object.

### setColor

    public void setColor(RGB color)

  Sets the color of this Light object to the color represented by the specified RGB object.

### getIntensity

    public double getIntensity()

  Returns the intensity of this Light object as a double value.

### getColor

    public RGB getColor()

  Returns the color of this Light object as an RGB object.

### getColorAt

    public RGB getColorAt(Vector point)

  Returns the color of the light represented by this Light object at the specified point as an RGB object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray